#
# spec file for package apache2-mod_auth_kerb (Version 5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

%define apxs /usr/sbin/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)

Name:         apache2-mod_auth_kerb
Version:      5.4
Release:      11.1
Summary:      Kerberos Module for Apache
URL:          http://modauthkerb.sourceforge.net/install.html
License:      BSD-3-Clause
Group:        Productivity/Networking/Web/Servers
Source:       http://prdownloads.sourceforge.net/modauthkerb/mod_auth_kerb-%{version}.tar.gz
Patch1:       mod_auth_kerb-5.1-defproblem.dif
Patch2:       mod_auth_kerb-fix_warnings.patch
Patch3:       mod_auth_kerb-5.4-configure.patch
Patch4:       mod_auth_kerb-cache_auth.patch
Patch5:       mod_auth_kerb.apache22+.patch
Patch6:       mod_auth_kerb-api_changes_apache24.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires:apache2-devel autoconf automake libtool gcc glibc-devel
%if 0%{?sles_version} == 9
BuildRequires:heimdal-devel openssl-devel
%else
BuildRequires:krb5-devel
%endif # sles_version

%description
Mod_auth_kerb is an Apache module designed to provide Kerberos authentication to
the Apache web server. Using the Basic Auth mechanism, it retrieves a
username/password pair from the browser and checks them against a Kerberos
server as set up by your particular organization. The module also supports the
Negotiate authentication method, which performs full Kerberos authentication
based on ticket exchanges, and does not require users to insert their passwords
to the browser. 




Authors:
--------
    Daniel Kouril <kouril@users.sourceforge.net>

%if 0%{?!__debug_package}
%debug_package
%endif
%prep
%setup -q -n "mod_auth_kerb-%{version}"
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
autoreconf -fiv

# help SLES9 a bit to find krb5:
export PATH="/usr/lib/mit/bin:$PATH"
# Necessary when building with apr 1.2.x instead of the apr that comes with httpd
export CPPFLAGS="-I/usr/include/apr-1"
%configure --with-krb4=no \
           --with-krb5 \
           --with-apache="%{_usr}" || { cat "config.log"; exit 1; }

%__make %{?jobs:-j%jobs}

%install
%__install -D -m0755 src/.libs/mod_auth_kerb.so "%{buildroot}/%{apache_libexecdir}/mod_auth_kerb.so"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_auth_kerb.so

%changelog
* Fri Mar 28 2014 draht@suse.de
- sles12 submission:
  * mod_auth_kerb.apache22.patch -> mod_auth_kerb.apache22+.patch
    make apache 2.2 modifications unconditional, as they are
    required by apache 2.4, too.
    This immediately means that compiling this package against
    apache 2.0 would not work.
  * rework mod_auth_kerb-5.4-apache24.patch into
    mod_auth_kerb-api_changes_apache24.patch: adaption to apache
    2.4 API, in particular logging and remote IP reference struct
    members.
* Sat Apr  6 2013 mc@suse.com
- add support for apache 2.4
  mod_auth_kerb-5.4-apache24.patch
  http://sourceforge.net/tracker/?func=detail&aid=3521787&group_id=51775&atid=464526
- new format for License
* Thu Jul 12 2012 draht@suse.de
- preparation of the package for submission against sle11-sp1,
  review of source and patches/changes, compilation warnings,
  licence and packaging. This is (FATE#313165) (ECO-FATE#313165)
  and [bnc#771265].
* Fri Jul 17 2009 pascal.bleser@opensuse.org
- add mod_auth_kerb.apache22.patch that adds Apache 2.2 authn
  provider support (authn_kerberos):
  https://sourceforge.net/tracker/?func=detail&aid=2782088&group_id=51775&atid=464526
* Fri Jul 17 2009 pascal.bleser@opensuse.org
- add per-connection authentication caching, based on
  https://sourceforge.net/tracker/?func=detail&aid=1891230&group_id=51775&atid=464526
  by <jorgensen@lowtechsolutions.net>, but made it configurable
  through the KrbCacheAuthentication directive (that is disabled
  by default, as it is to be seen as experimental)
* Wed Apr  1 2009 pascal.bleser@opensuse.org
- fixed warning fixing patch that was causing a "undefined symbol:
  cmp_gss_type" error at runtime
* Tue Mar 31 2009 pascal.bleser@opensuse.org
- build against heimdal on SLE 9
- added missing %%changelog in spec file
* Fri Mar 27 2009 pascal.bleser@opensuse.org
- update to 5.4:
  * implemented KrbServiceName Any to deal with multiple keytab
    entries for various browsers
  * implemented KrbLocalUserMapping i.e. to strip @REALM from
    username for further use
  * implemented already_succeeded function to avoid hammering the
    KDC with same auth requests in single connection
  * fixed threading issues
  * improved configure and Makefile scripts (mainly for BSD users)
  * fixed minor issues
- minor spec file style fixes
- added patch to fix compiler warnings
- removed mod_auth_kerb-init_creds_opt.dif, has been merged
  upstream
* Mon Sep 10 2007 mc@suse.de
- add mod_auth_kerb-init_creds_opt.dif
* Tue Dec 19 2006 mc@suse.de
- update to version 5.3
* Tue Sep 19 2006 mc@suse.de
- update to version 5.1
* Wed May 17 2006 mc@suse.de
- initial release
